clang 8.0.0

Functions
MallocOverflowSecurityChecker.cpp File Reference
`#include "clang/StaticAnalyzer/Checkers/BuiltinCheckerRegistration.h"`
`#include "clang/AST/EvaluatedExprVisitor.h"`
`#include "clang/StaticAnalyzer/Core/BugReporter/BugReporter.h"`
`#include "clang/StaticAnalyzer/Core/Checker.h"`
`#include "clang/StaticAnalyzer/Core/PathSensitive/AnalysisManager.h"`
`#include "llvm/ADT/APSInt.h"`
`#include "llvm/ADT/SmallVector.h"`
`#include <utility>`
Include dependency graph for MallocOverflowSecurityChecker.cpp:

Go to the source code of this file.

## Functions
static bool | EvaluatesToZero (APSInt &Val, BinaryOperatorKind op)

## Function Documentation

## ◆ EvaluatesToZero()

static bool EvaluatesToZero | ( | APSInt & | Val,
|  | BinaryOperatorKind | op
| ) |  |
| inline static

Definition at line 61 of file MallocOverflowSecurityChecker.cpp.